SimpleCharStream (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json.parser
[Java] Class SimpleCharStream

    java.lang.Object
      org.codehaus.groovy.grails.web.json.parser.SimpleCharStream

    public class SimpleCharStream
    extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`protected int[]` | `bufcolumn`
`protected char[]` | `buffer`
`protected int[]` | `bufline`
`int` | `bufpos` Position in buffer.
`protected int` | `column`
`protected int` | `inBuf`
`protected java.io.Reader` | `inputStream`
`protected int` | `line`
`protected int` | `maxNextCharInd`
`protected boolean` | `prevCharIsCR`
`protected boolean` | `prevCharIsLF`
`static boolean` | `staticFlag` Whether parser is static.
`protected int` | `tabSize`

Constructor Summary
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.Reader dstream)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding)` Constructor.
`SimpleCharStream(java.io.InputStream dstream)` Constructor.

Method Summary
`char` | `BeginToken()` Start.
`void` | `Done()` Reset buffer when finished.
`protected void` | `ExpandBuff(boolean wrapAround)`
`protected void` | `FillBuff()`
`java.lang.String` | `GetImage()` Get token literal value.
`char[]` | `GetSuffix(int len)` Get the suffix.
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn)` Reinitialise.
`void` | `ReInit(java.io.Reader dstream)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Reinitialise.
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn)` Reinitialise.
`protected void` | `UpdateLineColumn(char c)`
`void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` | `backup(int amount)` Backup a number of characters.
`int` | `getBeginColumn()` Get token beginning column number.
`int` | `getBeginLine()` Get token beginning line number.
`int` | `getColumn()` @deprecated See Also: getEndColumn
`int` | `getEndColumn()` Get token end column number.
`int` | `getEndLine()` Get token end line number.
`int` | `getLine()` @deprecated See Also: getEndLine
`protected int` | `getTabSize(int i)`
`char` | `readChar()` Read a character.
`protected void` | `setTabSize(int i)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### bufcolumn

    protected int[] bufcolumn

### buffer

    protected char[] buffer

### bufline

    protected int[] bufline

### bufpos

    public int bufpos

  Position in buffer.

### column

    protected int column

### inBuf

    protected int inBuf

### inputStream

    protected java.io.Reader inputStream

### line

    protected int line

### maxNextCharInd

    protected int maxNextCharInd

### prevCharIsCR

    protected boolean prevCharIsCR

### prevCharIsLF

    protected boolean prevCharIsLF

### staticFlag

    public static final boolean staticFlag

  Whether parser is static.

### tabSize

    protected int tabSize

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream)

  Constructor.

Method Detail

### BeginToken

    public char BeginToken()

  Start.

### Done

    public void Done()

  Reset buffer when finished.

### ExpandBuff

    protected void ExpandBuff(boolean wrapAround)

### FillBuff

    protected void FillBuff()

### GetImage

    public java.lang.String GetImage()

  Get token literal value.

### GetSuffix

    public char[] GetSuffix(int len)

  Get the suffix.

### ReInit

    public void ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

  Reinitialise.

### ReInit

    public void ReInit(java.io.Reader dstream, int startline, int startcolumn)

  Reinitialise.

### ReInit

    public void ReInit(java.io.Reader dstream)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream, java.lang.String encoding)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream dstream, int startline, int startcolumn)

  Reinitialise.

### UpdateLineColumn

    protected void UpdateLineColumn(char c)

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine, int newCol)

  Method to adjust line and column numbers for the start of a token.

### backup

    public void backup(int amount)

  Backup a number of characters.

### getBeginColumn

    public int getBeginColumn()

  Get token beginning column number.

### getBeginLine

    public int getBeginLine()

  Get token beginning line number.

### getColumn

    @java.lang.Deprecated
    public int getColumn()

  deprecated:
  See Also:
    getEndColumn

### getEndColumn

    public int getEndColumn()

  Get token end column number.

### getEndLine

    public int getEndLine()

  Get token end line number.

### getLine

    @java.lang.Deprecated
    public int getLine()

  deprecated:
  See Also:
    getEndLine

### getTabSize

    protected int getTabSize(int i)

### readChar

    public char readChar()

  Read a character.

### setTabSize

    protected void setTabSize(int i)

Groovy Documentation